Doomsday Engine - Bug #803

Monsters see through wall/floor/ceil
2009-10-07 00:45 - jimigrey

Status: Closed Start date: 2009-10-07
Priority: Urgent % Done: 100%
Assignee: danij

Category:

Target version: 1.9.0-betab

Description

Let's say there's a monster in some trap sector that is raised up. The floor of this trap sector is set to the same height as the ceiling of

the surrounding sector. Player can't see the monster and neither should the monster see player. But the monster is able to see
player. Then the monster starts attacking player.

The same happens if it was player that was in a similar sector, like in Plutonia Map 04: Caged.
Monsters don't see through doors, so it's not like they see through every 2 sided line...

Labels: Gameplay

History

#1 - 2009-10-08 20:07 - danij
Fixed for 1.9.0-beta6.8

#2 - 2009-11-07 05:20 - eklipse2009

Same for me, also in Heretic in all the maps.

#3 - 2009-11-18 03:36 - vermil

| would like to request that this report be re-opened as the bug still exists to at least some degree.

For instance, in Doom E3M1 the Imp's in the start area wake up as soon as the map starts and proceed to try to attack you through the ground.
#4 - 2010-01-14 11:49 - danij

You are indeed correct, the following case was not handled correctly:

LOS from src to dest intersects a linedef bisecting two sectors where the floor on the src side is greater than that on the backside

The in-range test was done vs the back floor rather than the front.

Fixed for 1.9.0-beta6.9
